aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2022-10-02 01:24:11 +0200
committerdec05eba <dec05eba@protonmail.com>2022-10-02 01:24:11 +0200
commit5d92b53f1c352b2629fc0b7dbd300b7a7609087b (patch)
treec0a82ab24cd938c3767a34632a8ef151965e31df /install.sh
parentb99652ee289c9ef1a8fbe0f46c9128af1746d139 (diff)
Add install script for non ubuntu / (arch) distros
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..0d73bf7
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+script_dir=$(dirname "$0")
+cd "$script_dir"
+
+[ $(id -u) -ne 0 ] && echo "You need root privileges to run the install script" && exit 1
+
+./build.sh
+install -Dm755 "gpu-screen-recorder" "/usr/bin/gpu-screen-recorder"
+echo "Successfully installed gpu-screen-recorder"